LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - General
User Name
Password
Linux - General This Linux forum is for general Linux questions and discussion.
If it is Linux Related and doesn't seem to fit in any other forum then this is the place.

Notices


Reply
  Search this Thread
Old 04-03-2003, 07:20 PM   #1
Wynd
Member
 
Registered: Jul 2001
Distribution: Slackware 12
Posts: 511

Rep: Reputation: 32
Broken pango?


While trying to compile a program, I get a bunch of undefined reference messages in the config.log:
Quote:
/usr/lib/libpangoxft-1.0.so: undefined reference to `FT_Stream_GetShort'
/usr/lib/libpangoxft-1.0.so: undefined reference to `FT_Stream_ExitFrame'
/usr/lib/libpangoxft-1.0.so: undefined reference to `FT_Stream_GetLong'
/usr/lib/libpangoxft-1.0.so: undefined reference to `FT_Stream_Seek'
/usr/lib/libXft.so.2: undefined reference to `FT_Set_Hint_Flags'
/usr/lib/libpangoxft-1.0.so: undefined reference to `FT_Get_Next_Char'
/usr/lib/libpangoxft-1.0.so: undefined reference to `FT_Stream_EnterFrame'
/usr/lib/libpangoxft-1.0.so: undefined reference to `FT_Get_First_Char'
I just got these today from rpmfind.net. Do these require some dependencies that I don't have installed?
 
Old 04-04-2003, 05:30 PM   #2
iceman47
Senior Member
 
Registered: Oct 2002
Location: Belgium
Distribution: Debian, Free/OpenBSD
Posts: 1,123

Rep: Reputation: 47
correct me if I'm wrong here, but slackware isn't an rpm-based system, so as a result the dependencies of the rpm you're trying to install aren't found in the rpm-database. I think you should look out for slack packages
 
Old 04-04-2003, 07:17 PM   #3
Wynd
Member
 
Registered: Jul 2001
Distribution: Slackware 12
Posts: 511

Original Poster
Rep: Reputation: 32
I probably should have mentioned, I ran rpm2tgz on the .rpm file first to turn it into a Slackware-compatible .tgz package. Should that do it, or am I missing something else?
 
Old 04-04-2003, 07:23 PM   #4
iceman47
Senior Member
 
Registered: Oct 2002
Location: Belgium
Distribution: Debian, Free/OpenBSD
Posts: 1,123

Rep: Reputation: 47
I have no idea, but to troubleshoot your problem, I'd try it with native slackware packages
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
error in the creation of `etc/pango/pango.modules` okeyla Linux - Newbie 3 07-02-2011 09:06 PM
Help with pango. EchoWarrior Linux - Newbie 2 08-27-2005 09:06 AM
Pango Half_Elf Linux - Software 2 05-21-2005 12:10 AM
Pango 1.6.0 -> 1.8.0 Ghetto_Penguin Linux - Software 17 01-11-2005 01:20 AM
Pango wants >=glib-2.4.0, I installed glib 2.4.7 and pango still says I need >=2.4.0 Locura Red Hat 5 11-01-2004 06:53 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - General

All times are GMT -5. The time now is 09:08 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration